JOGL: com.jogamp.nativewindow.ios.IOSGraphicsDevice Class Reference

JOGL v2.6.0-rc-20250822 JOGL, High-Performance Graphics Binding for Java™ (public API).

Public Member Functions | List of all members
com.jogamp.nativewindow.ios.IOSGraphicsDevice Class Reference

Encapsulates a graphics device on IOS platforms. More...

Inheritance diagram for com.jogamp.nativewindow.ios.IOSGraphicsDevice:
Collaboration diagram for com.jogamp.nativewindow.ios.IOSGraphicsDevice:

## Public Member Functions

| IOSGraphicsDevice (final int unitID)
| Constructs a new IOSGraphicsDevice. More...
Object | clone ()
Public Member Functions inherited from com.jogamp.nativewindow.DefaultGraphicsDevice
| DefaultGraphicsDevice (final String type, final String connection, final int unitID)
| Create an instance with the system default `ToolkitLock`, gathered via `NativeWindowFactory#getDefaultToolkitLock(String)`. More...
| DefaultGraphicsDevice (final String type, final String connection, final int unitID, final long handle)
| Create an instance with the system default `ToolkitLock`. More...
| DefaultGraphicsDevice (final String type, final String connection, final int unitID, final long handle, final ToolkitLock locker)
| Create an instance with the given `ToolkitLock` instance, or null `ToolkitLock` if null. More...
Object | clone ()
final String | getType ()
| Returns the type of the underlying subsystem, ie NativeWindowFactory.TYPE_KD, NativeWindowFactory.TYPE_X11, . More...
final String | getConnection ()
| Returns the semantic GraphicsDevice connection. More...
final int | getUnitID ()
| Returns the graphics device `unit ID`. More...
final String | getUniqueID ()
| Returns a unique ID object of this device using `type`, `connection` and `unitID` as it's key components. More...
final long | getHandle ()
| Returns the native handle of the underlying native device, if such thing exist. More...
final void | lock ()
| Optionally locking the device, utilizing eg `com.jogamp.nativewindow.ToolkitLock#lock()`.The lock implementation must be recursive. More...
final void | validateLocked () throws RuntimeException
final void | unlock ()

Optionally unlocking the device, utilizing eg `com.jogamp.nativewindow.ToolkitLock#unlock()`.The lock implementation must be recursive.

Exceptions

  RuntimeException | in case the lock is not acquired by this thread.

More...

boolean | open ()
| Optionally [re]opening the device if handle is `null`. More...
boolean | close ()
| Optionally closing the device if handle is not `null`. More...
final boolean | isHandleOwner ()
final void | clearHandleOwner ()
String | toString ()
final ToolkitLock | getToolkitLock ()
Object | clone ()
String | getType ()
| Returns the type of the underlying subsystem, ie NativeWindowFactory.TYPE_KD, NativeWindowFactory.TYPE_X11, . More...
String | getConnection ()
| Returns the semantic GraphicsDevice connection. More...
int | getUnitID ()
| Returns the graphics device `unit ID`. More...
String | getUniqueID ()
| Returns a unique ID object of this device using `type`, `connection` and `unitID` as it's key components. More...
long | getHandle ()
| Returns the native handle of the underlying native device, if such thing exist. More...
void | lock ()
| Optionally locking the device, utilizing eg `com.jogamp.nativewindow.ToolkitLock#lock()`. More...
void | unlock ()
| Optionally unlocking the device, utilizing eg `com.jogamp.nativewindow.ToolkitLock#unlock()`. More...
void | validateLocked () throws RuntimeException
boolean | open ()
| Optionally [re]opening the device if handle is `null`. More...
boolean | close ()
| Optionally closing the device if handle is not `null`. More...
boolean | isHandleOwner ()
void | clearHandleOwner ()

## Additional Inherited Members

Static Public Member Functions inherited from com.jogamp.nativewindow.DefaultGraphicsDevice
static String | getDefaultDisplayConnection ()
| Return the default display connection for the given windowing toolkit type gathered via `NativeWindowFactory#getDefaultDisplayConnection()`. More...
static String | getDefaultDisplayConnection (final String type)
| Return the default display connection for the given windowing toolkit type gathered via `NativeWindowFactory#getDefaultDisplayConnection(String)`. More...
static final void | swapHandleAndOwnership (final DefaultGraphicsDevice a, final DefaultGraphicsDevice b)
Static Public Attributes inherited from com.jogamp.nativewindow.AbstractGraphicsDevice
static final boolean | DEBUG = Debug.debug("GraphicsDevice")
static String | DEFAULT_CONNECTION = "decon"
| Dummy connection value for a default connection where no native support for multiple devices is available. More...
static String | EXTERNAL_CONNECTION = "excon"
| Dummy connection value for an external connection where no native support for multiple devices is available. More...
static int | DEFAULT_UNIT = 0
| Default unit id for the 1st device: 0. More...
Protected Member Functions inherited from com.jogamp.nativewindow.DefaultGraphicsDevice
final long | setHandle (final long newHandle)
| Set the native handle of the underlying native device and return the previous one. More...
final Object | getHandleOwnership ()
final Object | setHandleOwnership (final Object newOwnership)
ToolkitLock | setToolkitLock (final ToolkitLock locker)
| Set the internal ToolkitLock, which is used within the `lock()` and `unlock()` implementation. More...
Protected Attributes inherited from com.jogamp.nativewindow.DefaultGraphicsDevice
final String | connection
final int | unitID
final String | uniqueID
long | handle
ToolkitLock | toolkitLock

## Detailed Description

Encapsulates a graphics device on IOS platforms.

Definition at line 35 of file IOSGraphicsDevice.java.

## Constructor & Destructor Documentation

## ◆ IOSGraphicsDevice()

com.jogamp.nativewindow.ios.IOSGraphicsDevice.IOSGraphicsDevice | ( | final int | unitID | ) |

Constructs a new IOSGraphicsDevice.

Definition at line 37 of file IOSGraphicsDevice.java.

## Member Function Documentation

## ◆ clone()

Object com.jogamp.nativewindow.ios.IOSGraphicsDevice.clone | ( |  | ) |

Reimplemented from com.jogamp.nativewindow.DefaultGraphicsDevice.

Definition at line 42 of file IOSGraphicsDevice.java.

The documentation for this class was generated from the following file:

- src/nativewindow/classes/com/jogamp/nativewindow/ios/IOSGraphicsDevice.java